Issue 123747 - allow graceful handling of Windows structured exceptions
Summary: allow graceful handling of Windows structured exceptions
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.0.0
Hardware: All Windows, all
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: hdu@apache.org
QA Contact:
URL:
Keywords:
Depends on: 122991
Blocks:
  Show dependency tree
 
Reported: 2013-11-25 13:12 UTC by hdu@apache.org
Modified: 2017-05-20 10:34 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-11-25 13:12:04 UTC
If the crash reporter is enabled then it collects many interesting details about the call chain, the stack variables, etc. If the crash reporter is not enabled then problems such as access violations are currently fatal.

In the latter case it would be better if a graceful shutdown was possible. It would also be useful if some information about the crash could be provided.

Window's structured exception handling allows to provide such details and it allows processing the problem as a C++ exception that can be handled further.
Comment 1 SVN Robot 2013-11-25 13:29:48 UTC
"hdu" committed SVN revision 1545268 into trunk:
#i123747# allow treating Window's SEH events as C++ exceptions
Comment 2 hdu@apache.org 2013-11-25 13:32:29 UTC
Fixed with the commit above.
Comment 3 SVN Robot 2013-11-25 14:38:27 UTC
"hdu" committed SVN revision 1545301 into trunk:
#i123747# ignore single step and breakpoint SEH events
Comment 4 SVN Robot 2013-11-26 08:02:23 UTC
"hdu" committed SVN revision 1545562 into trunk:
#i123747# mark SEH translator's pExcPtrs argument as unused